function output = TopoDAReflfaux2(params, arg2)
%amplitude fluctuations on aux laser beam to phase fluctuations on
%generated lower sideband
eval(params)

gammaORAphi = -(ror1*ror2*sin(phi))/(1-2*ror1*ror2*cos(phi)+(ror1*ror2)^2);

omegaor2nphi= -foFSR*((1-2*ror1*ror2*cos(-phi)+(ror1*ror2)^2)/(1-ror1*ror2*cos(-phi))); 
%omega2(phi) for OPO red (this is -1.2e8, less than zero)

if omegaor2nphi > 0 ,  pole1 = [];
                       zero1 = -abs(omegaor2nphi);
                       gain1 = 1/abs(omegaor2nphi);
                       
elseif omegaor2nphi == 0, pole1 = [];
                         zero1 = [];
                         gain1 = 1;
                         
elseif omegaor2nphi <0, pole1 = -abs(omegaor2nphi);
                        zero1 = [];
                        gain1 = abs(omegaor2nphi);
end

omegaor3phi= -2*foFSR*(1-2*ror1*ror2*cos(phi)+(ror1*ror2)^2)/(3-2*cos(phi)*ror1*ror2-(ror1*ror2)^2);  %(same as omega3ornphi)
%omega2(phi) 
if omegaor3phi > 0 ,  pole2 = [];
                       zero2 = -abs(omegaor3phi);
                       gain2 = 1/abs(omegaor3phi);
                       
elseif omegaor3phi == 0, pole2 = [];
                         zero2 = [];
                         gain2 = 1;
                         
elseif omegaor3phi <0, pole2 = -abs(omegaor3phi);
                        zero2 = [];
                        gain2 = abs(omegaor3phi);
end

poles = [pole1 pole2];
zeros = [zero1 zero2 0];
gain =-gammaORAphi*gain1*gain2/(2*pi*foFSR);

if strcmp(arg2, 'gain'), output = gain;
elseif strcmp(arg2, 'zeros'), output = zeros;
elseif strcmp(arg2, 'poles'), output = poles;
end